## workman 1.3a

=== Makefile ===
# @(#)Makefile	1.63 04 Jun 1995

#
# If you want to use gcc, tell make about it here.
#

CC = gcc
#CC = cc

#
# Comment out the following if you're not compiling on Solaris 2.x.
#
# If your system needs additional libraries, specify them on the "EXTRA_LIBS"
# line.
#
# If you don't want WorkMan to try to activate the SPARCstation 5 internal
# audio input so you get sound from the workstation, take -DCODEC off the
# SOL2 line.
#

SOL2 = -DSYSV -DCODEC
LIBLOC = -R$(LIBDIR)
EXTRA_LIBS = -lsocket

#
# Uncomment the following if you want fast database lookups using the
# Berkeley libdb code.  You can find libdb on ftp.cs.berkeley.edu in the
# /ucb/4bsd directory.  Make sure you adjust the last part of DBCFLAGS
# to match your system type as listed in libdb's PORT directory.
#

#DBCFLAGS = -DLIBDB -Idb.1.85/PORT/include -Idb.1.85/PORT/sunos.5.2
#DBLIB = db.1.85/PORT/sunos.5.2/libdb.a

#
# Set these to the locations of your XView include files and libraries.
#

INCDIR = $(OPENWINHOME)/include
LIBDIR = $(OPENWINHOME)/lib

#
# Set these to the directory names in which to install the software and
# help files.
#

BINDIR = $(OPENWINHOME)/bin
HLPDIR = $(OPENWINHOME)/lib/help

#
# Set this to the directory containing manual pages.  Manual pages will only
# be installed if you "make install.man".
#

MANDIR = $(OPENWINHOME)/man

#
# Set these to the manual sections (e.g. 1, 4, 5, l) for the program and
# database file manual pages, respectively.
#

PEXT = 1
DEXT = 5

# You shouldn't have to worry about anything from this line on.

############################################################################
# Parameters.

PROGRAM = workman
SOURCES.c = workman_stubs.c database.c cdinfo.c display.c setup.c scsi.c \
	ui_db_prefs.c index.c \
	ui_cdinfo.c plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
	plat_bsd386.c plat_ultrix.c cdrom.c drv_toshiba.c drv_sony.c \
	plat_svr4.c plat_freebsd.c plat_osf1.c
SOURCES.h = struct.h workman_ui.h

OBJECTS = \
	$(SOURCES.c:%.c=%.o)

# Compiler flags.

CFLAGS = -g
CPPFLAGS = -I$(INCDIR) $(SOL2)
LDFLAGS = -L$(LIBDIR) $(LIBLOC)
LDLIBS = -lxview -lolgx -lX11 $(EXTRA_LIBS) $(DBLIB) -ldl

# Standard targets.

all:	 $(PROGRAM) $(PROGRAM).doc workmandb.doc

$(PROGRAM): $(SOURCES.c) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)

buildindex: buildindex.c
	$(CC) $(LDFLAGS) $(DBCFLAGS) buildindex.c $(DBLIB) -o $@

clean:
	$(RM) $(OBJECTS) *.BAK *.delta core

install: $(PROGRAM)
	cp $(PROGRAM) $(BINDIR)
	chmod 755 $(BINDIR)/$(PROGRAM)
	cp $(PROGRAM).info $(HLPDIR)
	chmod 644 $(HLPDIR)/$(PROGRAM).info

install.man: workman.man workmandb.man $(MANDIR)/man$(PEXT) $(MANDIR)/man$(DEXT)
	cp workman.man $(MANDIR)/man$(PEXT)/workman.$(PEXT)
	chmod 644 $(MANDIR)/man$(PEXT)/workman.$(PEXT)
	cp workmandb.man $(MANDIR)/man$(DEXT)/workmandb.$(DEXT)
	chmod 644 $(MANDIR)/man$(DEXT)/workmandb.$(DEXT)

display.o: display.c workman_ui.h
setup.o: setup.c workman_ui.h
workman_stubs.o: workman_stubs.c workman_ui.h
ui_cdinfo.o: ui_cdinfo.c workman_ui.h
# This next one isn't completely true, but close enough
$(OBJECTS): struct.h

index.o: index.c
	$(CC) $(CFLAGS) $(DBCFLAGS) -c $<

$(PROGRAM).doc: $(PROGRAM).man
	nroff -man $(PROGRAM).man > $(PROGRAM).doc
workmandb.doc: workmandb.man
	nroff -man workmandb.man > workmandb.doc

#
# Build the DOCS subdirectory from the HTML sources.
#
docs:
	@cd HTML; for i in *.html; do \
		lynx -dump file://localhost`pwd`/$$i > ../DOCS/`basename $$i .html`; \
		echo Converted $$i; \
	done

#
# These targets are for building the shar distribution.
#
shar: part01
tar: WorkMan.tar

ALLSOURCES= README $(SOURCES.h) \
	$(PROGRAM).man $(PROGRAM).doc $(SOURCES.c) workmandb.man workmandb.doc \
	bitmaps Makefile.svr4 HTML DOCS \
	$(PROGRAM).info Makefile Makefile.hpux Makefile.linux Imakefile \
	WorkMan.tmpl Makefile.osf1 buildindex.c
ALLFILES= $(ALLSOURCES) \
	bitmaps/loud.icon bitmaps/loud0.icon \
	bitmaps/loud1.icon bitmaps/loud2.icon bitmaps/loud3.icon \
	bitmaps/loud4.icon bitmaps/loud5.icon bitmaps/loud6.icon \
	bitmaps/phones bitmaps/phones0 bitmaps/phonesl1 bitmaps/phonesl2 \
	bitmaps/phonesl3 bitmaps/phonesr1 bitmaps/phonesr2 bitmaps/phonesr3 \
	bitmaps/sink0 bitmaps/sink1 bitmaps/sink2 bitmaps/sink3 \
	bitmaps/sink4 bitmaps/sink5 bitmaps/sink6 bitmaps/sink7 \
	bitmaps/eject.button bitmaps/ff.button \
	bitmaps/eject.button.small bitmaps/ff.button.small \
	bitmaps/icon bitmaps/iconmask bitmaps/pause.button \
	bitmaps/pause.button.small bitmaps/play.button.small \
	bitmaps/rew.button.small bitmaps/stop.button.small \
	bitmaps/play.button bitmaps/rew.button bitmaps/stop.button

part01: $(ALLFILES)
	makekit -s 50k -n part $(ALLFILES)
WorkMan.tar: $(ALLSOURCES)
	make docs
	(cd ..; tar cvFf workman/WorkMan.tar `(for i in $(ALLSOURCES); do \
		echo $$i; done) | sed 's@^@workman/@' | sort`)

## workman 1.3b

=== Makefile ===
# $Id: Makefile,v 1.11 1997/12/23 09:45:02 dirk Exp $
# 
# *sweat* ... This makefile is prone to confuse your development system.
#
#         _please_ send any corrections to milliByte@DeathsDoor if this
#         does not work as is.
#

# Set these to the locations of your XView include files and libraries.
#
INCDIR = $(OPENWINHOME)/include
LIBDIR = $(OPENWINHOME)/lib

# Location of the X libraries
XLIBDIR = /usr/X11/lib
# Set these to the directory names in which to install the software and
# help files.
BINDIR = $(OPENWINHOME)/bin
HLPDIR = $(OPENWINHOME)/lib/help

# Set this to the directory containing manual pages.  Manual pages will only
# be installed if you "make install.man".
MANDIR = $(OPENWINHOME)/man

# Set these to the manual sections (e.g. 1, 4, 5, l) for the program and
# database file manual pages, respectively.
PEXT = 1
DEXT = 5

#
# Uncomment and adjust the following if you want fast database lookups using
# the Berkeley libdb code.  You can find libdb on ftp.cs.berkeley.edu in the
# /ucb/4bsd directory.  Make sure you adjust the last part of DBCFLAGS
# to match your system type as listed in libdb's PORT directory.
# Sorry for the bad configurability this time...
#

#DBCFLAGS = -DLIBDB -Idb.1.85/PORT/include -Idb.1.85/PORT/linux
#DBLIB = db.1.85/PORT/linux/libdb.a

# And don't worry about anything from this line on.

############################################################################
# Parameters.

PROGRAM = workman
SOURCES.c = workman_stubs.c database.c cdinfo.c display.c setup.c \
	ui_cdinfo.c plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c index.c

SOURCES.h = struct.h workman_ui.h ui_cdinfo.h setup.h workman_stubs.h \
	display.h config.h proto.h cdrom.h plat_.h database.h \
	index.h scsi.h cdinfo.h

OBJECTS = \
	$(SOURCES.c:%.c=%.o)

WBPROGRAM = workbone
WBSOURCES.c = workbone.c cdinfo.c \
	plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c index.c

WBSOURCES.h = struct.h workbone.h config.h proto.h cdrom.h plat_.h \
	database.h cdinfo.h

WBOBJECTS = \
	$(WBSOURCES.c:%.c=%.o)

# Compiler flags.

CFLAGS = -O2 -Wall $(PASS) # -fwritable-strings
CPPFLAGS = -I$(INCDIR)
LDFLAGS = -s -L$(LIBDIR) -L$(XLIBDIR) $(LIBLOC)
LDLIBS = -lxview -lolgx -lX11
WBLDLIBS =
CC = gcc

# Standard targets.

all:	 $(PROGRAM) $(PROGRAM).doc workmandb.doc

$(PROGRAM): $(SOURCES.c) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)

$(WBPROGRAM): $(WBSOURCES.c) $(WBOBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(WBOBJECTS) $(WBLDLIBS)

buildindex: buildindex.c
	$(CC) $(LDFLAGS) $(CFLAGS) $(DBCFLAGS) $< $(DBLIB) -o $@

clean:
	$(RM) $(OBJECTS) *.BAK *.delta core

install: $(PROGRAM)
	cp $(PROGRAM) $(BINDIR)

	chown root $(BINDIR)/$(PROGRAM)
	chmod 4755 $(BINDIR)/$(PROGRAM)

	cp $(PROGRAM).info $(HLPDIR)
	chmod 644 $(HLPDIR)/$(PROGRAM).info

install.man: workman.man workmandb.man $(MANDIR)/man$(PEXT) $(MANDIR)/man$(DEXT)
	cp workman.man $(MANDIR)/man$(PEXT)/workman.$(PEXT)
	chmod 644 $(MANDIR)/man$(PEXT)/workman.$(PEXT)
	cp workmandb.man $(MANDIR)/man$(DEXT)/workmandb.$(DEXT)
	chmod 644 $(MANDIR)/man$(DEXT)/workmandb.$(DEXT)

display.o: display.c workman_ui.h
setup.o: setup.c workman_ui.h
workman_stubs.o: workman_stubs.c workman_ui.h
ui_cdinfo.o: ui_cdinfo.c workman_ui.h
# This next one isn't completely true, but close enough
# $(OBJECTS): struct.h config.h
$(OBJECTS): $(SOURCES.h)
$(WBOBJECTS): $(WBSOURCES.h)

index.o: index.c
	$(CC) $(CFLAGS) $(DBCFLAGS) -c $<

$(PROGRAM).doc: $(PROGRAM).man
	nroff -man $(PROGRAM).man > $(PROGRAM).doc
workmandb.doc: workmandb.man
	nroff -man workmandb.man > workmandb.doc

#
# Build the DOCS subdirectory from the HTML sources.
#
docs:
	@cd HTML; for i in *.html; do \
		lynx -dump file://localhost`pwd`/$$i > ../DOCS/`basename $$i .html`; \
		echo Converted $$i; \
	done

## workman 1.3.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.11 1997/12/23 09:45:02 dirk Exp $
+# $Id: Makefile,v 1.10 1999/09/03 14:50:43 dirk Exp $
 # 
 # *sweat* ... This makefile is prone to confuse your development system.
 #
@@ -46,12 +46,14 @@
 PROGRAM = workman
 SOURCES.c = workman_stubs.c database.c cdinfo.c display.c setup.c \
 	ui_cdinfo.c plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
+	plat_aix.c \
 	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
-	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c index.c
+	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c \
+	ui_goodies.c cddb.c index.c
 
 SOURCES.h = struct.h workman_ui.h ui_cdinfo.h setup.h workman_stubs.h \
 	display.h config.h proto.h cdrom.h plat_.h database.h \
-	index.h scsi.h cdinfo.h
+	scsi.h cdinfo.h ui_goodies.h
 
 OBJECTS = \
 	$(SOURCES.c:%.c=%.o)
@@ -59,8 +61,9 @@
 WBPROGRAM = workbone
 WBSOURCES.c = workbone.c cdinfo.c \
 	plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
+	plat_aix.c \
 	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
-	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c index.c
+	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c
 
 WBSOURCES.h = struct.h workbone.h config.h proto.h cdrom.h plat_.h \
 	database.h cdinfo.h
@@ -68,36 +71,44 @@
 WBOBJECTS = \
 	$(WBSOURCES.c:%.c=%.o)
 
+
+CDDASLAVE.c = cddaslave.c plat_sun_cdda.c plat_sun_audio.c \
+	      plat_linux_cdda.c plat_linux_audio.c
+CDDASLAVE.o = $(CDDASLAVE.c:%.c=%.o)
+
 # Compiler flags.
 
-CFLAGS = -O2 -Wall $(PASS) # -fwritable-strings
+CFLAGS = -O2 -Wall $(PASS) -g # -fwritable-strings
 CPPFLAGS = -I$(INCDIR)
-LDFLAGS = -s -L$(LIBDIR) -L$(XLIBDIR) $(LIBLOC)
+LDFLAGS = -L$(LIBDIR) -L$(XLIBDIR) $(LIBLOC)
 LDLIBS = -lxview -lolgx -lX11
 WBLDLIBS =
-CC = gcc
+CC = gcc 
 
 # Standard targets.
 
 all:	 $(PROGRAM) $(PROGRAM).doc workmandb.doc
 
 $(PROGRAM): $(SOURCES.c) $(OBJECTS)
-	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
+	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
 
 $(WBPROGRAM): $(WBSOURCES.c) $(WBOBJECTS)
-	$(CC) $(LDFLAGS) -o $@ $(WBOBJECTS) $(WBLDLIBS)
+	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(WBOBJECTS) $(WBLDLIBS)
 
 buildindex: buildindex.c
-	$(CC) $(LDFLAGS) $(CFLAGS) $(DBCFLAGS) $< $(DBLIB) -o $@
+	$(CC) $(LDFLAGS) $(CFLAGS) -I$(INCDIR) $(DBCFLAGS) $< $(DBLIB) -o $@
+
+cddaslave: $(CDDASLAVE.o)
+	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(CDDASLAVE.o) $(CDDALIBS)
 
 clean:
-	$(RM) $(OBJECTS) *.BAK *.delta core
+	$(RM) $(OBJECTS) $(WBOBJECTS) $(CDDASLAVE.o) *.BAK *.delta core workman.doc workmandb.doc
 
 install: $(PROGRAM)
 	cp $(PROGRAM) $(BINDIR)
 
-	chown root $(BINDIR)/$(PROGRAM)
-	chmod 4755 $(BINDIR)/$(PROGRAM)
+#	chown root $(BINDIR)/$(PROGRAM)
+#	chmod 4755 $(BINDIR)/$(PROGRAM)
 
 	cp $(PROGRAM).info $(HLPDIR)
 	chmod 644 $(HLPDIR)/$(PROGRAM).info
@@ -122,6 +133,7 @@
 
 $(PROGRAM).doc: $(PROGRAM).man
 	nroff -man $(PROGRAM).man > $(PROGRAM).doc
+
 workmandb.doc: workmandb.man
 	nroff -man workmandb.man > workmandb.doc

=== debian/changelog ===
workman (1.3.4-29) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group
  * Explicitly point to GPL-2 document in debian/copyright
  * No longer ignore errors from make in debian/rules
  * Switch to 3.0 (quilt) source format
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #551572
    - Danish (Joe Hansen).  Closes: #581236

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 May 2010 07:36:40 +0200

workman (1.3.4-28) unstable; urgency=low

  * added Dutch translation by Bart Cornelis. Closes: #436865

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 12 Aug 2007 20:45:00 +0200

workman (1.3.4-27) unstable; urgency=low

  * switched to new menu system

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Fri, 27 Jul 2007 17:25:00 +0200

workman (1.3.4-26) unstable; urgency=low

  * added text to docu to emphasize need of audio connection. Closes: #418287

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Tue, 01 May 2006 20:05:00 +0200

workman (1.3.4-25) unstable; urgency=low

  * updated docu to reflect changed approach on freedb servers

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 15 Oct 2006 22:00:00 +0100

workman (1.3.4-24) unstable; urgency=low

  * removed unnecessary dependencies - fixed checklib report
  * put informative notes from debconf into README.Debian. Closes: #388984

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Tue, 26 Sep 2006 20:30:00 +0100

workman (1.3.4-23) unstable; urgency=low

  * added Swedish translation by Daniel Nylander. Closes: #343125
  * adjusted build-dependence to use libx11-dev instead of xlibs-dev

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Tue, 20 Dec 2005 20:30:00 +0100

workman (1.3.4-22) unstable; urgency=low

  * added Portugese translation by Miguel Figueiredo. Closes: #336844

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 05 Nov 2005 13:30:00 +0100

workman (1.3.4-21) unstable; urgency=low

  * fixed missing dependency on virtual debconf-2.0 package

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 01 Oct 2005 22:30:00 +0200

workman (1.3.4-20) unstable; urgency=low

  * added Vietnamese translation from Clytie Siddall. Closes: #324136

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 21 Aug 2005 12:30:00 +0200

workman (1.3.4-19) unstable; urgency=low

  * added Czech translation from Miroslav Kure. Closes: #314957
  * Corrected spelling error in German translation. Closes: #313881
  * Added error handler for CDDB server errors

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 20 Jun 2005 22:20:00 +0200

workman (1.3.4-18) unstable; urgency=low

  * included ia64 temporarily again to circumvent installer problem

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 05 Dec 2004 16:20:00 +0200

workman (1.3.4-17) unstable; urgency=low

  * moved pixmaps from /usr/X11R6/include to /usr/share
  * changed default compilation to add debug output
  * checked and updated to policy 3.6.1
  * declared PANEL_ACCEPT_KEYSTROKE to reenable Help with latest xlibs
  * excluded ia64 due to discontinued XView library support. Closes: #228966

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 19 Sep 2004 11:55:00 +0200

workman (1.3.4-16) unstable; urgency=low

  * fixed gcc-3.4 compilation problem.  Closes: #264254
  * fixed two minor problems in cdrom-based volume control
  * improved workbone to prepare its release as separate binary package

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 12 Aug 2004 18:50:00 +0200

workman (1.3.4-15) unstable; urgency=low

  * fixed nostrip compilation.  Closes: #228951
  * updated Brazilian Portugese translation from Andre Lopes.  Closes: #228254
  * cleaned up workbone part for future reunification

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 31 Jan 2004 21:50:00 +0200

workman (1.3.4-14) unstable; urgency=low

  * added new Spanish translation from translation team (#201127)
  * added new French translation from translation team (#201631)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 21 Jul 2003 21:20:00 +0200

workman (1.3.4-13) unstable; urgency=low

  * fixed postinst script to accept all device locations (#197784)
  * added several checks in config and postinst scripts
  * adjusted German translation

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 13 Jul 2003 12:20:00 +0200

workman (1.3.4-12) unstable; urgency=low

  * added french translation from translation team (#185564)
  * checked and updated policy conformance
  * added missing removal of substvars by clean rule
  * added handle for a more comfortable saving of CDDB preferences
  * fixed bug in storing the protocol value to the rc file
  * fixed wrong location of one dismiss button
  * slight clean up of source
  * updated man pages and xview info file

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 12 May 2003 09:20:00 +0200

workman (1.3.4-11) unstable; urgency=low

  * added brazilian portuguese translation from Debian-BR Project (#179512)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 06 Mar 2003 21:40:00 +0200

workman (1.3.4-10) unstable; urgency=low

  * fixed build dependencies (#170135)
  * Changed configuration script from vanilla to debconf
  * Added German templates and description
  * Adapted to new policy requirements

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Fri, 27 Dec 2002 14:00:00 +0200

workman (1.3.4-9) unstable; urgency=low

  * Added CDDB support by Nathan Rutman
  * Changed annoying warning message if mixer cannot be used (#112792)
  * Corrected spelling of 'address' in the user interface

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 6 Oct 2001 22:00:00 +0200

workman (1.3.4-8) unstable; urgency=low

  * Added symlink to the workmanrc man page (#99572)
  * Changed maintainer's address
  * Changed to GPG signing

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 2 Jul 2001 22:50:00 +0200

workman (1.3.4-7) unstable; urgency=low

  * Fixed postinst script (#90677)



=== debian/control ===
Source: workman
Section: sound
Priority: optional
Build-Depends: libx11-dev, xviewg-dev, groff-base, po-debconf
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.6.1

Package: workman
Architecture: any
Depends: ${shlibs:Depends}, debconf (>=0.5) | debconf-2.0
Description: Graphical tool for playing audio CDs on a CD-ROM drive
 WorkMan can play and control audio CDs from a comfortable OpenLook
 interface using an existing audio connection between the CD-ROM drive
 and the sound card. It can retrieve information about CDs from a CDDB
 server, store this information in a database, and extract it automatically
 when the CD is inserted later again.

=== debian/rules ===
#!/usr/bin/make -f
# debian.rules file for workman
# Derived from the 'hello' sample files provided by Ian Jackson.

package=workman

# Destination for Debian program
DESTDIR = debian/tmp/usr
# Enable debug information by Debian policy
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
PASS='-O0 -DDEBUG'
else
PASS='-O2'
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP='-s'
else
STRIP=''
endif

# The simple rules

build:
	$(checkdir)
	$(MAKE) -f Makefile.linux PASS=$(PASS)
	touch build

clean:
	$(checkdir)
	-rm -f build workman
	[ ! -f Makefile.linux ] || $(MAKE) -f Makefile.linux -i clean
	-rm -rf debian/tmp *~ debian/*~ debian/files* debian/substvars

# The binary package

binary-indep: 	checkroot build                                                 
	$(checkdir)                                                             
                                                                               
binary-arch:  	checkroot build                                                 
	$(checkdir)               
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN 
	install -d $(DESTDIR)/share/doc/$(package) 
	install -d $(DESTDIR)/bin 
	install -d $(DESTDIR)/share/man/man1 $(DESTDIR)/share/man/man5
	install -d $(DESTDIR)/share/menu
	install -d $(DESTDIR)/share/pixmaps
	install -d $(DESTDIR)/X11R6/lib/help
	install -m '0755' debian/config debian/tmp/DEBIAN/config
	install -m '0755' debian/postinst debian/tmp/DEBIAN/postinst
	install -m '0755' debian/postrm debian/tmp/DEBIAN/postrm
	install $(STRIP) -g cdrom -m '2755' workman $(DESTDIR)/bin/workman
	install -m '0644' workman.info $(DESTDIR)/X11R6/lib/help/workman.info
	install -m '0644' workman.man $(DESTDIR)/share/man/man1/workman.1
	install -m '0644' workmandb.man $(DESTDIR)/share/man/man5/workmandb.5
	gzip -9v $(DESTDIR)/share/man/man1/workman.1 $(DESTDIR)/share/man/man5/workmandb.5
	ln -s workmandb.5.gz $(DESTDIR)/share/man/man5/workmanrc.5.gz
	install -m '0644' debian/copyright $(DESTDIR)/share/doc/$(package)
	install -m '0644' debian/changelog $(DESTDIR)/share/doc/$(package)/changelog.Debian
	install -m '0644' debian/README.Debian $(DESTDIR)/share/doc/$(package)/README.Debian
	gzip -9v $(DESTDIR)/share/doc/$(package)/changelog.Debian
	install -m '0644' README $(DESTDIR)/share/doc/$(package)
	gzip -9v $(DESTDIR)/share/doc/$(package)/README
	install -d $(DESTDIR)/share/doc/$(package)/HTML
	install -m '0644' HTML/* $(DESTDIR)/share/doc/$(package)/HTML
	install -m '0644' debian/menu $(DESTDIR)/share/menu/$(package)
	install -m '0644' debian/workman.xpm $(DESTDIR)/share/pixmaps
	dpkg-shlibdeps workman
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	chown root.cdrom $(DESTDIR)/bin/workman
	chmod '2755' $(DESTDIR)/bin/workman
	po2debconf debian/templates > debian/templates.merged
	mv debian/templates.merged debian/tmp/DEBIAN/templates
	dpkg --build debian/tmp ..

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

define checkdir
	test -f plat_linux.c
endef

.PHONY: binary binary-arch binary-indep clean checkroot
